Loading...
Searching...
No Matches
BALL::ProteinPredicate Class Reference

`#include <BALL/KERNEL/standardPredicates.h>`

Inheritance diagram for BALL::ProteinPredicate:

## Public Member Functions

virtual bool | operator() (const Atom &atom) const
Public Member Functions inherited from BALL::ExpressionPredicate
| ExpressionPredicate ()
| ExpressionPredicate (const ExpressionPredicate &predicate)
| ExpressionPredicate (const String &argument)
virtual | ~ExpressionPredicate ()
ExpressionPredicate & | operator= (const ExpressionPredicate &predicate)
virtual void | clear ()
bool | operator== (const ExpressionPredicate &predicate) const
virtual void | setArgument (const String &argument)
const String & | getArgument () const
Public Member Functions inherited from BALL::UnaryPredicate< Atom >
virtual | ~UnaryPredicate ()
virtual bool | operator() (const Atom &) const

## Additional Inherited Members

String | argument_

## Detailed Description

Predicate for matching proteins. Returns true, if the name of the protein that the atom belongs to matches exactly the argument of this predicate.

Definition at line 188 of file standardPredicates.h.

## Member Function Documentation

## operator()()

virtual bool BALL::ProteinPredicate::operator() | ( | const Atom & | atom | ) | const

virtual

Evaluate the predicate for the atom atom.

Parameters

  atom | the atom to test

Returns
  true, if the predicate is true, false otherwise

Reimplemented from BALL::ExpressionPredicate.